#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA677_F31E_F31J_X31J_P31J_AU2E_AU3E
#ifdef MEDIA670_F31E_F31J
char G7164_;
char G4192_ac_Unreferenced[4];
#endif

#ifdef MEDIA669_F31E
#include "CEDTINCK.C"
#endif

void F7278_Unreferenced(int16_t P3560_i_InterruptVectorIndex)
{
#ifdef MEDIA671_F31E_F31J_P31J
        if (G7164_) {
                F7322_EmptyFunction("\x1B""Y# ");
                F7322_EmptyFunction("Crash Reentry\n\r");
                for (;;);
        }
        G7164_ = 1;
        switch (P3560_i_InterruptVectorIndex) { /* 68000 interrupt vectors */
                case 2:
                        F7322_EmptyFunction("BUS ERROR");
                        break;
                case 3:
                        F7322_EmptyFunction("ADDRESS ERROR");
                        break;
                case 4:
                        F7322_EmptyFunction("ILLEGAL INSTRUCTION");
                        break;
                case 5:
                        F7322_EmptyFunction("DIVIDE BY ZERO");
                        break;
                case 6:
                        F7322_EmptyFunction("CHK INSTRUCTION");
                        break;
                case 7:
                        F7322_EmptyFunction("TRAPV INSTRUCTION");
                        break;
                case 8:
                        F7322_EmptyFunction("PRIVILEGE VIOLATION");
                        break;
                case 9:
                        F7322_EmptyFunction("TRACE");
                        break;
                case 15:
                        F7322_EmptyFunction("UNINITIALIZED");
                        break;
                case 24:
                        F7322_EmptyFunction("SPURIOUS");
                        break;
                case -1:
                        F7322_EmptyFunction("RESERVED VECTOR");
                        break;
                default:
                        F7322_EmptyFunction("UNKNOWN ERROR");
        }
        while (F7320_CallF0760_Cconis()) {
                F7319_Crawcin();
        }
        F7319_Crawcin();
        F7273_DrawDialogThenHang(NULL);
        for (;;);
#endif
}

void F7284_(
)
{
#ifdef MEDIA671_F31E_F31J_P31J
        G7164_ = 0;
#endif
}

void F7279_EmptyFunction(
)
{
}
#endif
